net.minecraft.world

## Enum EnumSkyBlock

- java.lang.Object
- - java.lang.Enum<EnumSkyBlock>
  - - net.minecraft.world.EnumSkyBlock

- All Implemented Interfaces:
    Serializable, Comparable<EnumSkyBlock>

      public enum EnumSkyBlock
      extends Enum<EnumSkyBlock>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Block`
    `Sky`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `defaultLightValue`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EnumSkyBlock` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumSkyBlock[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Sky

          public static final EnumSkyBlock Sky

    - #### Block

          public static final EnumSkyBlock Block

  - ### Field Detail

    - #### defaultLightValue

          public final int defaultLightValue

  - ### Method Detail

    - #### values

          public static EnumSkyBlock[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumSkyBlock c : EnumSkyBlock.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumSkyBlock valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null